Current (2025-04-01)Platforms (Connect) API
Evidence
Evidence management endpoints
Was this page helpful?
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
You can either:
dispute_id to associate the evidence with a previously created dispute,The unique Chargeflow account identifier to which the evidence belongs.
^[0-9a-fA-F]{24}$Must provide exactly one: either dispute_id OR dispute object data (without account_id), but not both.
application/json
curl -X POST "https://example.com/public/2025-04-01/evidence" \ -H "Content-Type: application/json" \ -d '{ "account_id": "66e6ea9ecd94925a9f8060d9", "dispute": { "dispute_id": "dp_112233445" } }'{ "id": "ev_abc123456789", "account_id": "66e6ea9ecd94925a9f8060d9", "ext_account_id": "ext_acct_54321", "dispute": "dp_112233445", "created_at": "2025-07-29T14:35:00Z", "status": "in_progress", "file_url": "https://cdn.chargeflow.io/evidence/ev_abc123456789/v2/evidence.pdf", "file_version": 1}apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
The unique Chargeflow object identifier of the dispute.
^[0-9a-fA-F]{24}$Use the expand parameter to include additional dispute resource details in the response.
Available options:
| Parameter | Description |
|---|---|
dispute | Include the top-level dispute data in the response |
dispute.transaction | Full payment transaction details including amount, currency, payment method and more |
dispute.order | Complete order details including products, shipping, and fulfillment and more |
dispute.subscription | Complete subscription details including plan, frequency, cancellation reason and more |
dispute.activity_logs | Complete activity logs details including user events and interactions |
application/json
curl -X GET "https://example.com/public/2025-04-01/evidence/ev_abc123456789"{ "id": "ev_abc123456789", "account_id": "66e6ea9ecd94925a9f8060d9", "ext_account_id": "ext_acct_54321", "dispute": "66e6ea9ecd94925a9f8060d9", "created_at": "2025-07-29T14:35:00Z", "status": "in_progress", "file_url": "https://cdn.chargeflow.io/evidence/ev_abc123456789/v2/evidence.pdf", "file_version": 1}